class ReverseValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    if record.picture.flag_reverse < 0
      record.errors[attribute] << (options[:message] || "no reverse") if value < 0
    end
  end
end

